org.eclipse.jface.databinding.viewers

## Interface IViewerObservableList

All Superinterfaces:
  Collection, IObservable, IObservableCollection, IObservableList, Iterable, IViewerObservable, List

    public interface IViewerObservableList
    extends IObservableList, IViewerObservable

`IObservableList` observing a JFace Viewer.

Since:
  1.2

### Method Summary

### Methods inherited from interface org.eclipse.core.databinding.observable.list.IObservableList

`add, addAll, addAll, addListChangeListener, contains, containsAll, equals, get, getElementType, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, move, remove, remove, removeAll, removeListChangeListener, retainAll, set, size, subList, toArray, toArray`

### Methods inherited from interface java.util.List

`add, clear, replaceAll, sort, spliterator`

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.eclipse.jface.databinding.viewers.IViewerObservable

`getViewer`